# Exports/Events

## Base Usage

Our script is designed to be **drag-and-drop**. This also means that all **events** and **exports** are bridged from the following resources:

* `esx_skin`
* `skinchanger`
* `qb-clothing`
* `illenium-appearance`

So you can still use events like:

```lua
TriggerEvent('skinchanger:loadSkin')
```

and all others as usual.

***

⚠️ **Important**:\
When using exports for **illenium-appearance**, you must still use `illenium-appearance` as the resource name, **not** `17mov_CharacterSystem`.

{% columns %}
{% column width="50%" valign="middle" %}
✅ Correct:&#x20;

```lua
exports["illenium-appearance"]:setPedComponents()
```

{% endcolumn %}

{% column width="50%" %}
❌ Incorrect:

```lua
exports["17mov_CharacterSystem"]:setPedComponents()
```

{% endcolumn %}
{% endcolumns %}

***

For more details, check the documentation of:

* [**qb-clothing**](https://docs.qbcore.org/qbcore-documentation/qbcore-resources/qb-clothing)
* [**illenium-appearance**](https://docs-illenium-dev-phem.vercel.app/free-resources/illenium-appearance/intro/#features)
* [**skinchanger**](https://docs.esx-framework.org/en/esx_core/skinchanger)

## EXAMPLES

Below you can find examples of events/exports that will work with our resource

{% code title="SAVING CURRENT SKIN EVENT (CLIENT SIDE)" %}

```lua
TriggerEvent("17mov_CharacterSystem:SaveCurrentSkin")
```

{% endcode %}

{% code title="ESX VERSION OF OPENING WARDROBE / OUTFITS MENU (CLIENT SIDE)" %}

```lua
TriggerEvent("17mov_CharacterSystem:OpenOutfitsMenu")
```

{% endcode %}

{% code title="QBCORE VERSION OF OPENING WARDROBE / OUTFITS (CLIENT SIDE)" %}

```lua
TriggerEvent("qb-clothing:client:openOutfitMenu")
```

{% endcode %}

{% code title="ESX VERSION OF OPENING SKIN MENU (CLIENT SIDE)" %}

```lua
TriggerEvent("qb-clothing:client:openMenuCommand")
```

{% endcode %}

{% code title="QBCORE VERSION OF OPENING SKIN MENU (CLIENT SIDE)" %}

```lua
TriggerEvent("esx_skin:openSaveableMenu")
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.17movement.net/character-system/exports-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
